Create Memories Batch
curl --request POST \
--url https://api.omi.me/v1/dev/user/memories/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memories": [
{
"content": "<string>",
"tags": [],
"visibility": "private"
}
]
}
'import requests
url = "https://api.omi.me/v1/dev/user/memories/batch"
payload = { "memories": [
{
"content": "<string>",
"tags": [],
"visibility": "private"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({memories: [{content: '<string>', tags: [], visibility: 'private'}]})
};
fetch('https://api.omi.me/v1/dev/user/memories/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_count": 123,
"memories": [
{
"id": "<string>",
"category": "interesting",
"content": "",
"created_at": "2023-11-07T05:31:56Z",
"edited": false,
"manually_added": false,
"reviewed": false,
"scoring": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"user_review": true,
"visibility": "private"
}
]
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Memories
Create Memories (Batch)
Create multiple memories in a batch.
- memories: List of memories to create (max 25)
POST
/
v1
/
dev
/
user
/
memories
/
batch
Create Memories Batch
Authorizations
Send Authorization: Bearer <firebase_id_token>.
Body
application/json
List of memories to create
Maximum array length:
25Show child attributes
Show child attributes
⌘I